Up

# NSScreen

### Authors

Scott Christley (`scottc@net-community.com`)
Gregory John Casamento (`borgheron@yahoo.com`)

Copyright: (C) 1996, 2000 Free Software Foundation, Inc.

# Software documentation for the NSScreen class

## NSScreen : NSObject

> Declared in:
>   AppKit/NSScreen.h

Availability: OpenStep
Description forthcoming.
Method summary

- +deepestScreen
- +mainScreen
- +resetScreens
- +screens
- -depth
- -deviceDescription
- -frame
- -screenNumber
- -supportedWindowDepths
- -userSpaceScaleFactor
- -visibleFrame

### deepestScreen

+ (NSScreen*) deepestScreen;
Availability: OpenStep
Gets information about the screen with the highest depth (i.e. bits per pixel).

### mainScreen

+ (NSScreen*) mainScreen;
Availability: OpenStep
Gets information about the main screen.

### resetScreens

+ (void) resetScreens;
Availability: OpenStep
Description forthcoming.

### screens

+ (NSArray*) screens;
Availability: OpenStep
Returns an NSArray containing NSScreen instances representing all of the screen devices attached to the computer.

### depth

- (NSWindowDepth) depth;
Availability: OpenStep
Returns the depth of the screen in bits.

### deviceDescription

- (NSDictionary*) deviceDescription;
Availability: OpenStep

This method generates a dictionary containing information about the screen device. The resulting dictionary will have the following entires: NSScreenNumber, NSDeviceSize, NSDeviceResolution, NSDeviceBitsPerSample, NSDeviceColorSpaceName.

### frame

- (NSRect) frame;
Availability: OpenStep
The full frame of the screen.

### screenNumber

- (int) screenNumber;
Availability: Not in OpenStep/MacOS-X
Returns the screen number

### supportedWindowDepths

- (const NSWindowDepth*) supportedWindowDepths;
Availability: MacOS-X 10.0.0
Returns the window depths this screen will support.

### userSpaceScaleFactor

- (float) userSpaceScaleFactor;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### visibleFrame

- (NSRect) visibleFrame;
Availability: MacOS-X 10.0.0
Returns the NSRect representing the visible area of the screen.

Up